Legrand / Raritan / Server Technology Xerus™ JSON-RPC API

Loading...
Searching...
No Matches
Public Attributes | List of all members
devsettings::Smtp::Configuration Struct Reference

SMTP server configuration. More...

## Public Attributes
string | host
| SMTP server host name or IP address.
int | port
| SMTP server port.
boolean | useTls
| Enforce TLS usage.
boolean | allowOffTimeRangeCerts
| allow expired and not yet valid TLS certificates
string | caCertChain
| TLS CA certificate chain.
string | sender
| Sender email address.
boolean | useAuth
| SMTP server requires authentication.
string | username
| Authentication user name.
string | password
| Password; write-only, empty to leave unchanged.
int | retryCount
| Number of attempts at sending the email.
int | retryInterval
| Sending retry interval in minutes.

## Detailed Description

SMTP server configuration.

The documentation for this struct was generated from the following file:

- Smtp.idl